Loading...
Searching...
No Matches
NppStInterpolationState Struct Reference
NPPST Image Processing

Frame interpolation state. More...

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

## Public Attributes

NcvSize32u | size
| frame size
Ncv32u | nStep
| pitch
Ncv32f | pos
| new frame position
Ncv32f * | pSrcFrame0
| frame 0
Ncv32f * | pSrcFrame1
| frame 1
Ncv32f * | pFU
| forward horizontal displacement
Ncv32f * | pFV
| forward vertical displacement
Ncv32f * | pBU
| backward horizontal displacement
Ncv32f * | pBV
| backward vertical displacement
Ncv32f * | pNewFrame
| new frame
Ncv32f * | ppBuffers [6]
| temporary buffers

## Detailed Description

Frame interpolation state.

This structure holds parameters required for frame interpolation. Forward displacement field is a per-pixel mapping from frame 0 to frame 1. Backward displacement field is a per-pixel mapping from frame 1 to frame 0.

Definition at line 117 of file NPP_staging.hpp.

## Member Data Documentation

## nStep

Ncv32u NppStInterpolationState::nStep

pitch

Definition at line 120 of file NPP_staging.hpp.

## pBU

Ncv32f* NppStInterpolationState::pBU

backward horizontal displacement

Definition at line 126 of file NPP_staging.hpp.

## pBV

Ncv32f* NppStInterpolationState::pBV

backward vertical displacement

Definition at line 127 of file NPP_staging.hpp.

## pFU

Ncv32f* NppStInterpolationState::pFU

forward horizontal displacement

Definition at line 124 of file NPP_staging.hpp.

## pFV

Ncv32f* NppStInterpolationState::pFV

forward vertical displacement

Definition at line 125 of file NPP_staging.hpp.

## pNewFrame

Ncv32f* NppStInterpolationState::pNewFrame

new frame

Definition at line 128 of file NPP_staging.hpp.

## pos

Ncv32f NppStInterpolationState::pos

new frame position

Definition at line 121 of file NPP_staging.hpp.

## ppBuffers

Ncv32f* NppStInterpolationState::ppBuffers[6]

temporary buffers

Definition at line 129 of file NPP_staging.hpp.

## pSrcFrame0

Ncv32f* NppStInterpolationState::pSrcFrame0

frame 0

Definition at line 122 of file NPP_staging.hpp.

## pSrcFrame1

Ncv32f* NppStInterpolationState::pSrcFrame1

frame 1

Definition at line 123 of file NPP_staging.hpp.

## size

NcvSize32u NppStInterpolationState::size

frame size

Definition at line 119 of file NPP_staging.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp